Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am about to upgrade the JDK version from Java 1.6.0_37-b06 to Java 1.7.0_11.64 in a few hundreds of production servers, which run Tomcat servlets. The upgrade is a part of a large system upgrade from RHEL 5 to RHEL 6.

The upgrade will be tested on a staging environment on virtual machines before production deployment.

Are there any known Backward-compatibility issues between these two versions?

share|improve this question

closed as not a real question by MDMarra, Alex, EEAA, SvW, mdpc Jan 30 '13 at 16:55

It's difficult to tell what is being asked here. This question is ambiguous, vague, incomplete, overly broad, or rhetorical and cannot be reasonably answered in its current form. For help clarifying this question so that it can be reopened, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
What OS? What version? –  schaiba Jan 30 '13 at 13:49
    
RHEL - updated my question. –  Adam Matan Jan 30 '13 at 13:50
1  
Here be dragons. –  Tom O'Connor Jan 30 '13 at 13:59

2 Answers 2

up vote 2 down vote accepted

I can't comment on the codebase running within Tomcat but we're running Tomcat 6 with Java 7 and there are no issues; the developers, however, need to conduct their own readiness tests. There a few housekeeping items to consider though such as

  • Custom certificates in the keystore that need to be transferred to the new JDK
  • Custom entries in the java.policy file? E.g. JMX options
  • Custom entries in java.security e.g. we adjust the DNS TTL in this file

Configuration management tools like Chef/Puppet can assist in this regard.

share|improve this answer
    
Thanks. I'm using a in-house configuration management tool, and my chief concern is software package compatibility. –  Adam Matan Jan 30 '13 at 14:12

I've never had issues with Java 6 to Java 7... I typically did the move via the OpenJDK packaging to make sure /etc/alternatives and all symlinks were updated properly. You're going to have a much bigger issue with the mechanics of the EL5 to EL6 move, though.

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.